import request from '@/utils/request'

// 查询充电桩固件信息列表
export function listFirmware(query) {
    return request({
        url: '/pile/firmware/list',
        method: 'get',
        params: query
    })
}

// 查询充电桩固件信息详细
export function getFirmware(id) {
    return request({
        url: '/pile/firmware/' + id,
        method: 'get'
    })
}

// 新增充电桩固件信息
export function addFirmware(data) {
    return request({
        url: '/pile/firmware',
        method: 'post',
        data: data
    })
}

// 修改充电桩固件信息
export function updateFirmware(data) {
    return request({
        url: '/pile/firmware',
        method: 'put',
        data: data
    })
}

// 删除充电桩固件信息
export function delFirmware(id) {
    return request({
        url: '/pile/firmware/' + id,
        method: 'delete'
    })
}
